from datetime import timedelta
from typing import Any

from .base import dump_api_message


def dump_answer(part: int, answer: Any, answer_time: timedelta, total_time: timedelta):
    dump_api_message(
        "answer",
        {
            "answer": part,
            "value": str(answer),
            "answerTime_s": answer_time.total_seconds(),
            "totalTime_s": total_time.total_seconds(),
        },
    )
