from typing import Any, Iterator

from ..base import BaseSolver


class Solver(BaseSolver):
    def solve(self, input: str) -> Iterator[Any]:
        floor = 0
        floors = [(floor := floor + (1 if c == "(" else -1)) for c in input]

        yield floors[-1]
        yield floors.index(-1)
